// =====================================================================
/*!
//
//  \file Tsyslog.h
//  \brief システムロガーとやりとりをするCLDAQ標準クラスオブジェクト
//  \author Go IWAI <goiwai@users.sourceforge.jp>
//
//  $Id: Tsyslog.h,v 1.2 2003/12/06 10:12:39 goiwai Exp $
//  $Name: CLDAQ-1-11-00 $
//  $Log: Tsyslog.h,v $
//  Revision 1.2  2003/12/06 10:12:39  goiwai
//  システムロガーとやりとりをします.
//  CLDAQ標準
//
*/
// =====================================================================
#ifndef __TSYSLOG_H
#define __TSYSLOG_H

#include "TSystemLogging.hh"

#ifdef __cplusplus
extern "C" {
#endif
  //! exit します
  // EMERG    標準エラー出力し,EXIT_FAILUREし,システム全員にメッセージを送る
  // ALERT    標準エラー出力し,EXIT_FAILUREし,ログする
  // CRIT     標準エラー出力かつ,EXIT_SUCCESSし,ログされる
  // -------------------
  //! exit しません
  // ERROR    標準エラー出力かつログされる
  // WARNING  標準出力かつログされる
  // NOTICE   標準出力かつログされる
  // INFO     標準出力かつログされる
  // DEBUG    標準出力するがログされない
  class TSystemLogging Temerg( TSystemLogging::EMERG );
  class TSystemLogging Talert( TSystemLogging::ALERT );
  class TSystemLogging Tcrit( TSystemLogging::CRIT );

  class TSystemLogging Terror( TSystemLogging::ERROR );
  class TSystemLogging Twarn( TSystemLogging::WARNING );
  class TSystemLogging Tnotice( TSystemLogging::NOTICE );
  class TSystemLogging Tinfo( TSystemLogging::INFO );
  class TSystemLogging Tdebug( TSystemLogging::DEBUG );

#ifdef __cplusplus
}
#endif

#endif
